@font-face {
    font-family: "Roboto Flex Var";
    src: url('../../../fonts/roboto-flex.ttf');
}

/*
* Header
*/
.page-header {
    height: 61vw;
}

.image-container {
    width: 100%;
    height: 100%;
    background-position: 50% 50%;
    background-repeat: no-repeat;
    background-size: cover;
}

@media (min-width: 768px) {
    .page-header {
        height: 32rem;
    }
}

@media (min-width: 1400px) {
    .page-header {
        height: 36vw;
    }
}

/*
* Sections
*/
.bg-gray {
    background-color: #e9e9e9;
}

section {
    width: 100%;
}

.section-1 {
    padding: 0 1rem;
}

.section-1 .section-nm {
    margin: 0 -1rem;
}

.section-2 {
    padding: 0 1rem;
}

.section-3 {
    padding: 0 1rem;
}

.section-4 {
    padding: 0 1rem;
}

@media (min-width: 390px) {
    .section-1 {
        padding: 0 1.5rem;
    }

    .section-1 .section-nm {
        margin: 0 -1.5rem;
    }

    .section-2 {
        padding: 0 1.5rem;
    }

    .section-3 {
        padding: 0 1.5rem;
    }

    .section-4 {
        padding: 0 1.5rem;
    }
}

@media (min-width: 992px) {
    .section-1 {
        padding: 0 2.5rem;
    }
    
    .section-2 {
        padding: 0 2.5rem;
    }

    .section-3 {
        padding: 0 6rem;
    }
    
    .section-4 {
        padding: 0 6rem;
    }
}

@media (min-width: 1200px) {
    .section-1 {
        width: 67.15rem;
        padding: 0;
        margin: auto;
    }

    .section-2 {
        width: 69rem;
        padding: 0;
        margin: auto;
    }

    .section-3 {
        width: 63.375rem;
        padding: 0;
        margin: auto;
    }

    .section-4 {
        width: 62.5rem;
        padding: 0;
        margin: auto;
    }
}

/*
* Cards
*/
.link-card {
    color: #ffffff !important;
    text-decoration: none;
    text-transform: uppercase;
}

.link-card-header {
    font-size: 1.15rem;
}

.link-card-image {
    aspect-ratio: 33/26;
    background-position: 0 -1rem;
}

.link-card-footer {
    padding: 1rem;
    position: relative;
    text-align: center;
    font-weight: 500;
    background-color: #ff5816;
    z-index: 1;
}

/* .link-card-footer-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-repeat: no-repeat;
    background-size: cover;
    z-index: -1;
} */

.link-card:nth-child(1n) {
    border-right: 1px solid white;
}
.link-card:nth-child(3n) {
    border-left: 1px solid white;
}

.link-card-carousel-indicator {
    width: 0.875rem !important;
    height: 0.875rem !important;
    border: 1px solid rgba(0, 0, 0, 0.19) !important;
    background-color: #d9d9d9 !important;
    border-radius: 50% !important;
    transition: background-color 0.6s ease;
}
.link-card-carousel-indicator.active {
    background-color: #474747 !important;
}

@media (min-width: 992px) {
    .link-card-footer {
        margin-top: 1px;
    }

    .link-card-header {
        font-size: 1.5rem
    }

    .link-card-image {
        aspect-ratio: 33/29;
        background-position: 50% 50%;
    }
}

/*
* Products
*/
.product-image-container {
    height: 80vw;
}

.product-image-container > img {
    margin-left: -0.5rem;
}

.product-image-container.custom-image {
    margin-top: -4rem;
}

.product-data-container {
    padding: 0 1rem;
}

.product-title {
    font-size: 1.875rem;
}

.product-list {
    list-style: none;
}

.product-list > li {
    position: relative;
    font-size: 1.187rem;
}

.product-list > li::before {
    position: absolute;
    content: "";
    left: -1rem;
    top: 0.7rem;
    width: 4px;
    height: 4px;
    background-color: currentColor;
    border-radius: 50%;
}

.product-link {
    position: relative;
    padding: 1rem 2rem;
    text-decoration: none;
    color: #ffffff !important;
    width: fit-content;
    text-transform: uppercase;
    font-size: 0.75rem;
    letter-spacing: 1px;
    z-index: 1;
}

.product-link > .product-link-bg {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-repeat: none;
    z-index: -1;
}

@media (min-width: 390px) {
    .product-image-container {
        height: 25rem;
    }

    .product-data-container {
        padding: 0 1.5rem;
    }

    .product-image-container.custom-image {
        margin-top: -6.5rem;
    }
}

@media (min-width: 576px) {
    .product-image-container {
        height: 28rem;
    }
    .product-link {
        font-size: 0.937rem;
    }
}

@media (min-width: 768px) {
    .product-data-container {
        padding: 0 2rem;
    }

    .product-image-container > img {
        margin-left: 0;
    }
}

@media (min-width: 992px) {
    .product-data-container {
        padding: 0 2.8rem;
    }

    .product-image-container.custom-image {
        margin-top: 0;
    }
}

/*
* Cases
*/
.cases-container {
    height: 10rem;
}

@media (min-width: 1200px) {
    .cases-container {
        height: 12rem;
    }
}

@media (max-width: 992px) {
    .cases-container > * {
        translate: -38% 0;
    }
    .custom-cut-foam {
        display:none;
    }
}

/*
* Details
*/
.details-header-container {
    margin-right: 2.9rem;
}

.details-header {
    font-size: 1.8rem;
}

.details-subheader {
    font-size: 0.937rem;
}

.details-name {
    font-size: 0.937rem;
}

.details-description {
    font-size: 0.875rem;
}

.details-icon {
    display: flex;
    text-align: center;
    align-items: center;
    justify-content: center;
    font-size: 2.48rem;
    font-weight: 500;
    width: 3rem;
    height: 3rem;
    color: #3f4042;
}

.detail-button {
    padding: 1rem 1.75rem;
    font-weight: 500;
    background-color: #ff5816 !important;
    width: fit-content;
    color: #ffffff !important;
    text-decoration: none;
}

@media (min-width: 576px) {
    .details-header {
        font-size: 2rem;
    }

    .details-subheader {
        font-size: 1rem;
    }

    .details-name {
        font-size: 1rem;
    }
    
    .details-description {
        font-size: 0.937rem;
    }

    .details-icon {
        font-size: 2.65rem;
    }
}

@media (min-width: 992px) {
    .details-header {
        font-size: 2.18rem;
    }

    .details-subheader {
        font-size: 1.08rem;
    }
}

@media (min-width: 1200px) {
    .details-header-container {
        margin-right: 8rem;
    }    
}

/*
* Video
*/
.looping-video {
    height: 56.25vw;
}

@media (min-width: 992px) {
    .looping-video {
        height: 36.45vw;
    }
}

/*
* Collapse
*/
.collapse-identifier {
    position: relative;
    width: 3rem;
    height: 3rem;
    border: 1px solid #000000;
}
.collapse-identifier::after {
    position: absolute;
    content: "";
    left: 0.75rem;
    right: 0.75rem;
    height: 2px;
    top: calc(50% - 1px);
    background-color: #000000;
}
.collapsed > .collapse-identifier::before {
    position: absolute;
    content: "";
    top: 0.75rem;
    bottom: 0.75rem;
    width: 2px;
    left: calc(50% - 1px);
    background-color: #000000;
}


/*
* Misc
*/
.separator {
    width: 100%;
    height: 2px;
    margin-top: 0.75rem;
    margin-bottom: 0.75rem;
    background-color: #000000;
}

.mx-n2 {
    margin-left: -0.5rem;
}

.row-margin {
    --bs-gutter-x: 0;
}

.cursor-pointer {
    cursor: pointer;
}

@media (min-width: 576px) {
    .mx-md-n3 {
        margin-left: -1rem !important;
        margin-right: -1rem !important;
    }

    .row-sm-margin {
        --bs-gutter-x: 2rem;
    }
}

@media (min-width: 992px) {
    .row-margin {
        --bs-gutter-x: 2rem;
    }

    .col-lg {
        flex: 1 0 0%;
    }
}


/*
* Text
*/
.text-black {
    color: #000000;
}

.description {
    font-size: 1.08rem;
}

.ff-roboto {
    font-family: 'Roboto';
}

.ff-roboto-condensed {
    font-family: 'Roboto Condensed';
}

.ff-roboto-flex {
    font-family: 'Roboto Flex Var';
}

.fw-medium {
    font-weight: 500;
}

.fw-black {
    font-weight: 900;
}

.big-header-1, .big-header-2 {
    white-space: nowrap;
}

.header-span-big {
    font-size: 5.4rem;
    font-size: 21.3vw;
    font-size: 21vw;
    font-size: 20.3vw;
    line-height: 15.5vw;
}
.header-span-small {
    font-size: 3.72rem;
    font-size: 14.8vw;
    font-size: 14.6vw;
    font-size: 14vw;
    line-height: 11.7vw;
    line-height: 10.9vw;
    margin-bottom: 1rem;
}

.header-large {
    font-size: 1.8rem;
}

.header-medium {
    font-size: 1rem;
}

.big-header-2 {
    font-size: 9.35vw;
    font-size: 8.79vw;
    line-height: 9.5vw;
}

@media (min-width: 390px) {
    .header-large {
        font-size: 2.1rem;
    }

    .header-medium {
        font-size: 1.2rem;
    }
}

@media (min-width: 768px) {
    .big-header-1 {
        font-size: 8.5vw;
        line-height: 8.5vw;
    }
    
    .big-header-2 {
        font-size: 6vw;
        line-height: 4.4vw;
    }
}

@media (min-width: 992px) {
    .header-large {
        font-size: 2.5rem;
    }

    .header-medium {
        font-size: 1.32rem;
    }
    
    .big-header-1 {
        font-size: 5.38rem;
        font-size: 8.45vw;
        line-height: 6rem;
        line-height: 8.45vw;
    }
    
    .big-header-2 {
        font-size: 3.8rem;
        font-size: 5.9vw;
        line-height: 2.3rem;
        line-height: 4.3vw;
    }
}

@media (min-width: 1200px) {
    .header-large {
        font-size: 2.82rem;
    }

    .header-medium {
        font-size: 1.5rem;
    }

    .big-header-1 {
        font-size: 6.125rem;
        line-height: 6.5rem;
    }

    .big-header-2 {
        font-size: 4.375rem;
        line-height: 2.5rem;
    }
}

/*
* Object
*/
.object-fit-contain {
    object-fit: contain;
}